#include "AbstractVisitor.h"

namespace X3DTK {

AbstractVisitor::AbstractVisitor()
: X3DComponentVisitor()
{
  defineComponentName("Abstract");
  defineNewEnterFunction<AbstractVisitor, X3DAbstractNode>(&AbstractVisitor::enterX3DAbstractNode);
  defineNewWalkOnFunction<AbstractVisitor, X3DAbstractNode>(&AbstractVisitor::walkOnX3DAbstractNode);
  defineNewLeaveFunction<AbstractVisitor, X3DAbstractNode>(&AbstractVisitor::leaveX3DAbstractNode); 
}

AbstractVisitor::~AbstractVisitor()
{
}
  
void AbstractVisitor::enterX3DAbstractNode(SFAbstractNode N) const
{
}

bool AbstractVisitor::walkOnX3DAbstractNode(SFAbstractNode N, SFAbstractNode child) const
{
  return true;
}

void AbstractVisitor::leaveX3DAbstractNode(SFAbstractNode N) const
{
}

}

