#include "DefaultCoreCreator.h"
#include "Scene.h"

namespace X3DTK {
namespace X3D {

DefaultCoreCreator::DefaultCoreCreator()
{
  defineNewCreationFunction<CoreCreator>("X3DNode", 0);
  defineNewCreationFunction<DefaultCoreCreator>("Scene", &DefaultCoreCreator::createScene);
}

DefaultCoreCreator::~DefaultCoreCreator()
{
}

SFNode DefaultCoreCreator::createScene() const
{
  return new Scene();
}

}
}
