#include "TemplateMeshBuilderGlobalVariables.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

TemplateMeshBuilderGlobalVariables::TemplateMeshBuilderGlobalVariables()
: GlobalVariables(), _root(0)
{
}

TemplateMeshBuilderGlobalVariables::~TemplateMeshBuilderGlobalVariables()
{
}

void TemplateMeshBuilderGlobalVariables::init()
{
  _root = 0;
}

void TemplateMeshBuilderGlobalVariables::finish()
{
  _nodeStack.clear();
}

void TemplateMeshBuilderGlobalVariables::pushNode(Mesh::SFNode N)
{
  if (_root == 0)
    _root = N;
    
  _nodeStack.push_front(N);
}

void TemplateMeshBuilderGlobalVariables::popNode()
{
  _nodeStack.pop_front();
}

}
}
